/*
 *   This file is a part of the SteamWar software.
 *
 *   Copyright (C) 2025 SteamWar.de-Serverteam
 *
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU Affero General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *   GNU Affero General Public License for more details.
 *
 *   You should have received a copy of the GNU Affero General Public License
 *   along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package org.eclipse.openj9.criu;

import java.nio.file.Path;

public class CRIUSupport {

    public static boolean isCheckpointAllowed() {
        throw new UnsupportedOperationException("This is a Dummy");
    }

    public CRIUSupport(Path path) {
        throw new UnsupportedOperationException("This is a Dummy");
    }

    public CRIUSupport setGhostFileLimit(long limit) {
        throw new UnsupportedOperationException("This is a Dummy");
    }

    public CRIUSupport setAutoDedup(boolean autoDedup) {
        throw new UnsupportedOperationException("This is a Dummy");
    }

    public CRIUSupport setShellJob(boolean shellJob) {
        throw new UnsupportedOperationException("This is a Dummy");
    }

    public CRIUSupport setFileLocks(boolean fileLocks) {
        throw new UnsupportedOperationException("This is a Dummy");
    }

    public CRIUSupport setLogFile(String logFile) {
        throw new UnsupportedOperationException("This is a Dummy");
    }

    public void checkpointJVM() throws JVMCRIUException {
        throw new JVMCRIUException();
    }
}
